{% load wagtailimages_tags math %}

<template v-if="isCurrentView('view1') || isCurrentView('view{{ iteration|add:2 }}')">
  <ui-faq-section-header
    iteration="{{ iteration }}"
    name="{{ self.section_name }}"
  ></ui-faq-section-header>

  <div class="faq-answer bg-grey-150 pt-16" id="faq{{ iteration }}">
    <div class="container--wide !mb-16">
      <div class="
        flex gap-16 items-start flex-col-reverse

        lg:flex-row

        faq-answer--content
      ">
        <div class="flex flex-col w-full gap-8">
          {% for question in self.questions %}
            <div class="flex flex-col gap-5">
              <h2 class="text-5xl font-alt">{{ question.question }}</h2>

              <div>
                <span class="bg-black text-white text-sm px-4 py-1.5">
                  {{ self.topic }}
                </span>
              </div>

              <p class="text-black leading-7 text-lg">
                {{ question.answer }}
              </p>
            </div>
          {% endfor %}
        </div>

        <div
          class="
            flex gap-8 w-full items-center
            faq-answer--person
          "
        >
          <div
            class="
              flex flex-col justify-end items-end h-64 ml-[-5.5rem]

              lg:h-96 lg:ml-0

              faq-answer--person--text
            "
          >
            <div class="font-alt text-5xl whitespace-nowrap leading-10">
              Odpovídá
            </div>
            <div class="head-3xl whitespace-nowrap leading-8">
              {{ self.person_page.title }}
            </div>

            {% if self.person_page.position %}
              <div class="whitespace-nowrap">
                {{ self.person_page.position }}
              </div>
            {% endif %}
          </div>

          {% if self.image %}
            {% image self.image max-512x512 class="lg:h-96 h-64" %}
          {% else %}
            {% image self.person_page.image max-512x512 class="lg:h-96 h-64" %}
          {% endif %}
        </div>
      </div>
    </div>
  </div>
</template>
